{% extends 'base.html' %}
{% block content %}
<h1>{{ error }}</h1>
<form method="post" action="{% url 'process_image' %}" class="custom__form" enctype="multipart/form-data">
    {% csrf_token %}
    <div class="container">
        <div style="width: 300px">
            <div>
                <h2>
                    Give It a Try
                </h2>
            </div>
            <br>

            <div class="custom__image-container">
                <label id="add-img-label" for="add-single-img">Upload Image</label>
                <input type="file" id="add-single-img"
                       accept="image/jpeg"
                       name="image"
                       style="display: none;"
                       multiple
                       required
                />
            </div>
            <br>

            <button type="submit" class="submit">Find number</button>
        </div>
        <div id="image-preview-container">
            <div class="image-wrapper"><h2>Images</h2></div>
        </div>

    </div>
    <div id="loading-overlay">
        <div id="loading-spinner"></div>
    </div>
</form>

<script>
   document.getElementById('add-single-img').addEventListener('change', function(event) {
    const files = event.target.files;
    const previewContainer = document.getElementById('image-preview-container');

    // Создаем или получаем div для изображений
    let imageWrapper = previewContainer.querySelector('.image-wrapper');
    if (!imageWrapper) {
        imageWrapper = document.createElement('div');
        imageWrapper.className = 'image-wrapper';
        previewContainer.appendChild(imageWrapper);
    }
    imageWrapper.innerHTML = ''; // очищаем содержимое дива

    for (const file of files) {
        const reader = new FileReader();
        reader.onload = function(e) {
            const imagePreview = document.createElement('img');
            imagePreview.src = e.target.result;
            imagePreview.alt = 'Image Preview';
            imagePreview.style.height = '200px';
            imagePreview.style.width = '200px';
            imageWrapper.appendChild(imagePreview); // добавляем изображения внутрь дива
        };
        reader.readAsDataURL(file);
    }
});
</script>
{% endblock %}